# SimpleMutex.h File Reference

[Internal] Encapsulates a mutex More...

`#include "RakMemoryOverride.h"`
`#include <pthread.h>`
`#include <sys/types.h>`
`#include "Export.h"`

## Classes
class | SimpleMutex
| An easy to use mutex. More...

## Detailed Description

[Internal] Encapsulates a mutex

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.